<?php
/**
 * Displays the widget control form for the newest photos widget.
 *
 * This file is part of Shashin. Please see the Shashin.php file for
 * copyright and license information.
 *
 * @author Michael Toppa
 * @version 2.3.1
 * @package Shashin
 * @subpackage AdminPanels
 * @uses ToppaWPFunctions::displayInput()
 */
?>

<dl class="shashin_widget">
<dt><label for="shashin_widget_newest_title"><?php _e("Title"); ?>:</label></dt>
<dd><?php $title_data = array('input_type' => 'text', 'input_size' => 25);
    echo ToppaWPFunctions::displayInput('shashin_widget_newest[title]', $title_data, $shashin_options['widget_newest']['title']); ?></dd>

<dt><label for="shashin_widget_newest_album_key"><?php _e("Album"); ?>:</label></dt>
<dd><?php $key_data = array('input_type' => 'select', 'input_subgroup' => $args[0]);
    echo ToppaWPFunctions::displayInput('shashin_widget_newest[album_key]', $key_data, $shashin_options['widget_newest']['album_key']); ?></dd>

<dt><label for="shashin_widget_newest_max_size"><?php _e("Image Size"); ?>:</label></dt>
<dd><?php $size_data = array('input_type' => 'select', 'input_subgroup' => $sizes);
    echo ToppaWPFunctions::displayInput('shashin_widget_newest[max_size]', $size_data, $shashin_options['widget_newest']['max_size']); ?></dd>

<dt><label for="shashin_widget_newest_max_cols"><?php _e("Max # of Columns"); ?>:</label></dt>
<dd><?php $cols_data = array('input_type' => 'text', 'input_size' => 5);
    echo ToppaWPFunctions::displayInput('shashin_widget_newest[max_cols]', $cols_data, $shashin_options['widget_newest']['max_cols']); ?></dd>

<dt><label for="shashin_widget_newest_how_many"><?php _e("# of Images"); ?>:</label></dt>
<dd><?php $count_data = array('input_type' => 'text', 'input_size' => 5);
    echo ToppaWPFunctions::displayInput('shashin_widget_newest[how_many]', $count_data, $shashin_options['widget_newest']['how_many']); ?></dd>

<dt><label for="shashin_widget_newest_caption_yn"><?php _e("Show Captions"); ?>:</label></dt>
<dd><?php $caption_data = array('input_type' => 'radio', 'input_subgroup' => array('y' => SHASHIN_YES, 'n' => SHASHIN_NO));
    echo ToppaWPFunctions::displayInput('shashin_widget_newest[caption_yn]', $caption_data, $shashin_options['widget_newest']['caption_yn']); ?></dd>

<dt><label for="shashin_widget_newest_float"><?php _e("CSS Float"); ?>:</label></dt>
<dd><?php $float_data = array('input_type' => 'select', 'input_subgroup' => $float_options);
    echo ToppaWPFunctions::displayInput('shashin_widget_newest[float]', $float_data, $shashin_options['widget_newest']['float']); ?></dd>

<dt><label for="shashin_widget_newest_clear"><?php _e("CSS Clear"); ?>:</label></dt>
<dd><?php $clear_data = array('input_type' => 'select', 'input_subgroup' => $clear_options);
    echo ToppaWPFunctions::displayInput('shashin_widget_newest[clear]', $clear_data, $shashin_options['widget_newest']['clear']); ?></dd>
</dl>
<br clear="all" />
